Privage Open API
    Open API
    • Open API
    • Welcome to Privage Open API Documents
    • Get Access Token
      POST
    • Renew Access Token
      POST
    • Exchange Access Token
      POST
    • Get Current Add-On status
      GET
    • Get Profile
      GET
    • Add Point
      POST
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
    • Get Campaign
      GET
    • Get Transaction
      GET
    • Get Coupon Set
      GET
    • Create Coupon Set
      POST
    • Give Coupon to Member ID
      POST
    • Get Give Coupon History
      GET
    • Void Give Coupon
      DELETE
    • Get Transaction
      GET
    • Check Coupon
      GET
    • Mark Use Coupon
      POST

      Void Give Coupon

      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      DELETE
      /api/v1/connect/coupon/void/{couponUuid}
      ยกเลิกคูปองที่มอบให้แล้ว
      พฤติกรรมขึ้นอยู่กับแหล่งที่มาของคูปอง:
      IMPORT / GENERATE: ยกเลิกการเชื่อมโยงคูปองกับสมาชิกและรีเซ็ตสถานะเป็น PENDING (คืนกลับพูล)
      AUTO_GENERATE: ลบคูปองแบบ soft delete (ไม่มีพูลให้คืน)

      Request

      Authorization
      JWT Bearer
      Add the parameter
      Authorization
      to Headers
      Example:
      Authorization: ********************
      or
      Path Params

      Responses

      🟢200
      application/json
      ยกเลิกคูปองสำเร็จ
      Body

      🟠401
      🟠404
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request DELETE 'https://core.privageapp.com/api/v1/connect/coupon/void/coupon-uuid-string' \
      --header 'Authorization: Bearer <token>'
      Response Response Example
      {
          "uuid": "coupon-uuid-string",
          "message": "success"
      }
      Modified at 2026-04-18 11:38:38
      Previous
      Get Give Coupon History
      Next
      Get Transaction
      Built with